using System;

namespace HRD.WebApi.Extensions
{
    public static class StringExtensions
    {
        public static bool IsNullOrEmpty(this string s)
        {
            return string.IsNullOrEmpty(s);
        }

        public static bool IsNullOrWhiteSpace(this string s)
        {
            return String.IsNullOrWhiteSpace(s);
        }

        public static bool Contains(this string src, string toCheck, StringComparison comp)
        {
            return src.IndexOf(toCheck, comp) >= 0;
        }
    }
}